Package kiyut.sketsa.registration

## Class RegistrationManager

- java.lang.Object
- - kiyut.sketsa.registration.RegistrationManager

-     public final class RegistrationManager
      extends Object

  RegistrationManager
  Author:
    KIYUT

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkRegistration()` |
    `int` | `getElapsedChecked()` |
    `int` | `getElapsedDays()` |
    `long` | `getExpiredMillis()` |
    `static RegistrationManager` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `void` | `paintUnregisteredImage​(Component component, Graphics g)` |
    `boolean` | `register​(String name, String serialNo)` | Return true if registration success, otherwise false
    `void` | `showBetaNotice()` |
    `void` | `showReminder()` |
    `void` | `unRegister()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RegistrationManager getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        RegistrationManager The single instance.

    - #### register

          public boolean register​(String name,
                                  String serialNo)

      Return true if registration success, otherwise false
      Parameters:
        `name` - the name
        `serialNo` - the serial number
      Returns:
        true if registration success, otherwise false

    - #### unRegister

          public void unRegister()

    - #### paintUnregisteredImage

          public void paintUnregisteredImage​(Component component,
                                             Graphics g)

    - #### checkRegistration

          public boolean checkRegistration()

    - #### showReminder

          public void showReminder()

    - #### showBetaNotice

          public void showBetaNotice()

    - #### getElapsedDays

          public int getElapsedDays()

    - #### getElapsedChecked

          public int getElapsedChecked()

    - #### getExpiredMillis

          public long getExpiredMillis()